package gs.test.v0

/**
  * String interpolator for [[Tag]]. Shorthand for producing new [[Tag]] 
  * instances.
  *
  * {{{
  * import gs.test.v0.*
  * val tag1: TestDefinition.Tag = tag"example"
  * }}}
  */
extension (sc: StringContext)
  def tag(args: Any*): Tag = Tag(sc.s(args*))

/**
  * String interpolator for [[PermanentId]]. Shorthand for producing new 
  * [[PermanentId]] instances.
  *
  * {{{
  * import gs.test.v0.*
  * val permanentId: PermanentId = pid"example"
  * }}}
  */
extension (sc: StringContext)
  def pid(args: Any*): PermanentId = PermanentId(sc.s(args*))
